<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" schema="www-user_agent" 
 id="requests-by-os" charttype="bars">

 <lire:title>Requests By OS WWW Report</lire:title>
 <lire:description>
  <para>This report shows the number of requests for each browser OS.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="os_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of OS to display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top $os_to_show Requests By Operating System</lire:title>

  <lire:description>
   <para>The <quote>operating system</quote> is determined from the
    <parameter>User-Agent</parameter> header. It is possible for a
    user to change that string. This means that the value
    <productname>Mac PowerPC</productname> could be attributed to a
    user who is really running a customized version of
    <productname>Mozilla</productname> under
    <productname>GNU/Linux</productname>.
   </para>
  </lire:description>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$os_to_show">
   <lire:field name="os"/>

   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
